<!------------------------------------------------------------------
  Project: SOXML Demo
  Template: dsp_demo_soxml_xml2html.cfm
  Author: Brett Suwyn
  Created: 10/18/2000
  Description: 



------------------------------------------------------------------->

<!--- Gets the Current Directory eg "c:\inetpub\wwwroot\" --->
<cfset sCurrentDirectory = GetDirectoryFromPath(CGI.Path_Translated)>

<!--- This examle Read the XML file on our server's HD into a MSXML DOM object --->
<cf_SOXML 
  action="XML2DOM"
  input="#sCurrentDirectory#moreoverheadlines.xml"
  output="oNewsHeadLines"
  type="file">
    
<!--- Now Using the DOM we can do various operations with the XML Document --->
<h3>MoreOver.com Headlines (10/18/2000)</h3>

<!--- Lets grab the first headline and dump that--->
<h4>Lets grab the first article and dump it</h4>
<cfset oHeadLines = oNewsHeadLines.selectSingleNode("moreovernews/article")>
<cf_SOXML
  action="XML2HTML"
  input="#oHeadLines.xml#">

<!--- As I am building this I can use the "XML2HTML" action of SOXML to output the XML document inline --->
<h4>OR we could display the entire XML document inline</h4>
 <cf_SOXML
  action="XML2HTML"
  input="#oNewsHeadLines.xml#">
  
  
<h4>We can also feed SOXML xml2html a url to display the xml such as the current headlines from MoreOver.com</h4>  
 <cf_SOXML
  action="XML2HTML"
  type="file"
  input="http://p.moreover.com/cgi-local/page?index_topstories+xml">

