<!------------------------------------------------------------------
  Project: SOXML Demo
  Template: index.cfm
  Author: Brett Suwyn
  Created: 10/18/2000
  Description: 
    Demonstration application for SOXML

  Notes:
		1/9/2001: Updated to include transformation 
										action for version 1.5
------------------------------------------------------------------->

<cfparam name="Action" default="">

<cfswitch expression="#Action#">


<cfcase value="cf2xml">
  <cfinclude template="dsp_demo_soxml_cf2xml.cfm">
</cfcase>

<cfcase value="cf2xmldom">
  <cfinclude template="dsp_demo_soxml_header.cfm">
  <cfinclude template="dsp_demo_soxml_cf2xmldom.cfm">
  <cfinclude template="dsp_demo_soxml_footer.cfm">
</cfcase>

<cfcase value="xml2cf">
  <cfinclude template="dsp_demo_soxml_header.cfm">
  <cfinclude template="dsp_demo_soxml_xml2cf.cfm">
  <cfinclude template="dsp_demo_soxml_footer.cfm">
</cfcase>

<cfcase value="xml2dom">
  <cfinclude template="dsp_demo_soxml_header.cfm">
  <cfinclude template="dsp_demo_soxml_xml2dom.cfm">
  <cfinclude template="dsp_demo_soxml_footer.cfm">
</cfcase>

<cfcase value="xml2html">
  <cfinclude template="dsp_demo_soxml_header.cfm">
  <cfinclude template="dsp_demo_soxml_xml2html.cfm">
  <cfinclude template="dsp_demo_soxml_footer.cfm">
</cfcase>

<cfcase value="transform">
  <cfinclude template="dsp_demo_soxml_header.cfm">
  <cfinclude template="dsp_demo_soxml_transform.cfm">
  <cfinclude template="dsp_demo_soxml_footer.cfm">
</cfcase>

<cfdefaultcase>
  <cfinclude template="dsp_demo_soxml_header.cfm">
  <cfinclude template="dsp_demo_soxml_default.cfm">
  <cfinclude template="dsp_demo_soxml_footer.cfm">
</cfdefaultcase>

</cfswitch>