<cfsetting enablecfoutputonly="Yes">
<!------------------------------------------------------------------
  Project: SOXML Demo
  Template: dsp_demo_soxml_cf2xml.cfm
  Author: Brett Suwyn
  Created: 10/18/2000
  Description: 

------------------------------------------------------------------->
<cfscript>

  // Im building this to mimic a typical query from a DB
  qSONewsFeed = QueryNew("Source,HeadLine,URL");
  
  QueryAddRow(qSONewsFeed);
  QuerySetCell(qSONewsFeed,"Source","SiteObjects, Inc.");
  QuerySetCell(qSONewsFeed,"HeadLine","Site Objects Releases SOXML");  
  QuerySetCell(qSONewsFeed,"URL","http://www.siteobjects.com");    

  QueryAddRow(qSONewsFeed);
  QuerySetCell(qSONewsFeed,"Source","Yahoo");
  QuerySetCell(qSONewsFeed,"HeadLine","Allaire Reports Third Quarter 2000 Financial Results");  
  QuerySetCell(qSONewsFeed,"URL","http://biz.yahoo.com/prnews/001018/ma_allaire.html");      

  /*
    Remember you can feed SOXML CF2XML any data type, not just a query.
    It will even handle nested datatypes.
    
  */  
</cfscript>
  
<cf_SOXML
  action="CF2XML"
  input="#qSONewsFeed#"
  output="xmlSONewsFeed"
  rootname="sonewsfeed"
	encoding="UTF-8"
	standalone="yes">

  
<!--- Now lets serve the XML for any external application to grab it --->
<cfcontent type="text/xml">
<cfoutput>#xmlSONewsFeed#</cfoutput>

