<!------------------------------------------------------------------
  Project: SOXML Demo
  Template: dsp_demo_soxml_xml2dom.cfm
  Author: Brett Suwyn
  Created: 10/18/2000
  Description: 

------------------------------------------------------------------->

<!--- Gets the Current Directory eg "c:\inetpub\wwwroot\" --->
<cfset sCurrentDirectory = GetDirectoryFromPath(CGI.Path_Translated)>

<!--- This examle Read the XML file on our server's HD into a MSXML DOM object --->
<cf_SOXML 
  action="XML2DOM"
  input="#sCurrentDirectory#moreoverheadlines.xml"
  output="oNewsHeadLines"
  type="file">
  
<!--- Now Using the DOM we can do various operations with the XML Document --->
<h3>MoreOver.com Headlines (10/18/2000)</h3>

<!--- Lets loop through the headlines and output the HeadLine, Source, and document URL --->
<cfloop collection="#oNewsHeadLines.selectNodes("moreovernews/article")#" item="idxArticle">
  <cfscript>
    //Lets grab the nodes of the information we want to display (nd = node type variable)
    ndHeadLine = idxArticle.selectSingleNode("headline_text");
    ndSource = idxArticle.selectSingleNode("source");        
    ndDocumentURL = idxArticle.selectSingleNode("document_url");    
  </cfscript>

  <table>
    <tr>
      <td><cfoutput><a href="#ndDocumentURL.Text#" target="_new">#ndHeadLine.Text#</a></cfoutput> <i>source: <cfoutput>#ndSource.Text#</cfoutput></i></td>
    </tr>
  </table>

</cfloop>


<!--- Lets output the XML Inline so I can see what I am doing when Im building this --->
<!--- <cf_SOXML
  action="XML2HTML"
  input="#oNewsHeadLines#"> --->