<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">
 
 <xsl:template match="/">
		<xsl:apply-templates select="/moreoverheadlines" />
		<xsl:apply-templates select="//article" />
 </xsl:template>

<xsl:template match="moreoverheadlines">
	  <h3>MoreOver.com Headlines (10/18/2000)</h3>
</xsl:template> 
 
<xsl:template match="article">
	<table>
		<tr>
			<td>
				<xsl:apply-templates select="headline_text" />
				<xsl:apply-templates select="source" />				
			</td>
		</tr>
	</table>
</xsl:template>
 
 
<xsl:template match="headline_text">
		<a><xsl:attribute name="href"><xsl:value-of select="../url"/></xsl:attribute><xsl:value-of /></a>
</xsl:template>
 
 <xsl:template match="source">
		<i>source: <xsl:value-of /></i>
</xsl:template> 
 
</xsl:stylesheet>